package net.risesoft.demo.controller;

import java.util.List;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import net.risesoft.demo.entity.User;
import net.risesoft.demo.repository.UserRepository;

@RestController
@RequestMapping
public class UserController {
	
	private final UserRepository userRepository;

	public UserController(UserRepository userRepository) {
		super();
		this.userRepository = userRepository;
	}

	@GetMapping({"", "/", "/api/users"})
	public List<User> findAll(){
		return userRepository.findAll();
	}
}
